Python
import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.shippo_accounts.get(shippo_account_id='<id>')
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.shippoAccounts.get("<id>");
// Handle the result
console.log(result);
}
run();using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.ShippoAccounts.GetAsync(
shippoAccountId: "<id>",
shippoApiVersion: "2018-02-08"
);
// handle responsedeclare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->shippoAccounts->get(
shippoAccountId: '<id>',
shippoApiVersion: '2018-02-08'
);
if ($response->shippoAccount !== null) {
// handle response
}package hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.GetShippoAccountResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
GetShippoAccountResponse res = sdk.shippoAccounts().get()
.shippoAccountId("<id>")
.shippoApiVersion("2018-02-08")
.call();
if (res.shippoAccount().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.goshippo.com/shippo-accounts/{ShippoAccountId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/shippo-accounts/{ShippoAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/shippo-accounts/{ShippoAccountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/shippo-accounts/{ShippoAccountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"email": "hippo@shippo.com",
"first_name": "Shippo",
"last_name": "Meister",
"company_name": "Acme",
"object_created": "2023-11-07T05:31:56Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_updated": "2023-11-07T05:31:56Z"
}{}Shippo Accounts
Retrieve a Shippo Account
Returns a Shippo Managed Account using an object ID.
GET
/
shippo-accounts
/
{ShippoAccountId}
Python
import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.shippo_accounts.get(shippo_account_id='<id>')
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.shippoAccounts.get("<id>");
// Handle the result
console.log(result);
}
run();using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.ShippoAccounts.GetAsync(
shippoAccountId: "<id>",
shippoApiVersion: "2018-02-08"
);
// handle responsedeclare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->shippoAccounts->get(
shippoAccountId: '<id>',
shippoApiVersion: '2018-02-08'
);
if ($response->shippoAccount !== null) {
// handle response
}package hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.GetShippoAccountResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
GetShippoAccountResponse res = sdk.shippoAccounts().get()
.shippoAccountId("<id>")
.shippoApiVersion("2018-02-08")
.call();
if (res.shippoAccount().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.goshippo.com/shippo-accounts/{ShippoAccountId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/shippo-accounts/{ShippoAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/shippo-accounts/{ShippoAccountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/shippo-accounts/{ShippoAccountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"email": "hippo@shippo.com",
"first_name": "Shippo",
"last_name": "Meister",
"company_name": "Acme",
"object_created": "2023-11-07T05:31:56Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_updated": "2023-11-07T05:31:56Z"
}{}Authorizations
API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Headers
Optional string used to pick a non-default API version to use. See our API version guide.
Example:
"2018-02-08"
Path Parameters
Object ID of the ShippoAccount
Response
Shippo account
Was this page helpful?
⌘I